Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## convert.xml.dtd.om
Interface TopLevelVisitor

    public interface TopLevelVisitor

Method Summary
`void` | `attlistDecl(NameSpec nameSpec, AttributeGroup attributeGroup)`
`void` | `attributeDefaultDef(java.lang.String name, AttributeDefault ad)`
`void` | `attributeGroupDef(java.lang.String name, AttributeGroup attributeGroup)`
`void` | `comment(java.lang.String value)`
`void` | `datatypeDef(java.lang.String name, Datatype datatype)`
`void` | `elementDecl(NameSpec nameSpec, ModelGroup modelGroup)`
`void` | `enumGroupDef(java.lang.String name, EnumGroup enumGroup)`
`void` | `externalEntityDecl(java.lang.String name, ExternalId externalId)`
`void` | `externalIdDef(java.lang.String name, ExternalId externalId)`
`void` | `externalIdRef(java.lang.String name, ExternalId externalId, java.lang.String uri, java.lang.String encoding, TopLevel[] contents)`
`void` | `flagDef(java.lang.String name, Flag flag)`
`void` | `ignoredSection(Flag flag, java.lang.String contents)`
`void` | `includedSection(Flag flag, TopLevel[] contents)`
`void` | `internalEntityDecl(java.lang.String name, java.lang.String value)`
`void` | `modelGroupDef(java.lang.String name, ModelGroup modelGroup)`
`void` | `nameSpecDef(java.lang.String name, NameSpec nameSpec)`
`void` | `notationDecl(java.lang.String name, ExternalId externalId)`
`void` | `overriddenDef(Def def, boolean isDuplicate)`
`void` | `paramDef(java.lang.String name, java.lang.String value)`
`void` | `processingInstruction(java.lang.String target, java.lang.String value)`

Method Detail

### elementDecl

    void elementDecl(NameSpec nameSpec,
                     ModelGroup modelGroup)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### attlistDecl

    void attlistDecl(NameSpec nameSpec,
                     AttributeGroup attributeGroup)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### processingInstruction

    void processingInstruction(java.lang.String target,
                               java.lang.String value)
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### comment

    void comment(java.lang.String value)
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### modelGroupDef

    void modelGroupDef(java.lang.String name,
                       ModelGroup modelGroup)
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### attributeGroupDef

    void attributeGroupDef(java.lang.String name,
                           AttributeGroup attributeGroup)
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### enumGroupDef

    void enumGroupDef(java.lang.String name,
                      EnumGroup enumGroup)
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### datatypeDef

    void datatypeDef(java.lang.String name,
                     Datatype datatype)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### flagDef

    void flagDef(java.lang.String name,
                 Flag flag)
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### includedSection

    void includedSection(Flag flag,
                         TopLevel[] contents)
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### ignoredSection

    void ignoredSection(Flag flag,
                        java.lang.String contents)
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### internalEntityDecl

    void internalEntityDecl(java.lang.String name,
                            java.lang.String value)
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### externalEntityDecl

    void externalEntityDecl(java.lang.String name,
                            ExternalId externalId)
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### notationDecl

    void notationDecl(java.lang.String name,
                      ExternalId externalId)
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### nameSpecDef

    void nameSpecDef(java.lang.String name,
                     NameSpec nameSpec)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### overriddenDef

    void overriddenDef(Def def,
                       boolean isDuplicate)
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### externalIdDef

    void externalIdDef(java.lang.String name,
                       ExternalId externalId)
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### externalIdRef

    void externalIdRef(java.lang.String name,
                       ExternalId externalId,
                       java.lang.String uri,
                       java.lang.String encoding,
                       TopLevel[] contents)
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### paramDef

    void paramDef(java.lang.String name,
                  java.lang.String value)
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### attributeDefaultDef

    void attributeDefaultDef(java.lang.String name,
                             AttributeDefault ad)
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD